Subject: Re: A new driver for Broadcom bcm5706

From: Ben Greear <[email-masked]>
Date: Fri, 20 May 2005 14:58:05 -0700

Michael Chan wrote:
> On Fri, 2005-05-20 at 17:09 -0400, Jeff Garzik wrote:
> 
>>On Fri, May 20, 2005 at 02:07:17PM -0700, Ben Greear wrote:
>>
>>>I dig having the chipset manufacturer
>>>solidly behind the driver, like e1000!
>>
>>Clearly you have been asleep :)  Broadcom has been contributing actively
>>to tg3.
>>
> 
> 
> Yes, we are solidly behind tg3 and bnx2.

Excellent...sorry for my sleepiness :)

With regard to tg3, I (with the gracious help of the Intel driver folks)
have added the ability to receive the ethernet checksum on the end of the
skb, as well as tell the e1000 chipset to receive packets with bad checksums,
etc....

Assuming the tg3 chipset can do this, are there documents or code snippets
available to explain how to enable the feature?

I would like to add generic support for this to the ethtool API and allow
drivers to support it as they wish....  Of all my hacks, this one actually
doesn't require new ioctls or /proc file API..so maybe it has a chance of
getting accepted? :)

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com